BizKitHub
DocsAPI ReferenceContact/bff/contact-segment/preview
postContactAdmin BFF

/bff/contact-segment/preview

Translates the definition to SQL and returns the first 50 matching contacts without persisting anything.

ContactpostBffContact-segmentPreview

Parameters

JSON body

Request body

application/json
definitionobject | objectRequired
One of 2:
Variant 1
type"group"Required
operator"AND" | "OR"Required
childrenany[]Required
Variant 2
type"condition"Required
fieldstringRequired
operatorstringRequired
valueanyOptional
value2anyOptional

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact-segment/preview

post
curl -X POST "https://api.bizkithub.com/bff/contact-segment/preview" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key